#include "mapped_file.hpp"
#include <unistd.h>
#include <iostream>

int main(int argc, char** argv) {
   if (argc != 2) exit(1);
   MappedFile mf(argv[1]);
   if (mf.valid()) {
      const char* addr = mf.get_addr();
      size_t len = mf.get_length();
      unsigned int xcount = 0;
      for (const char* cp = addr; cp < addr + len; ++cp) {
	 if (*cp == 'x') ++xcount;
      }
      std::cout << xcount << std::endl;
   }
}
